summaryrefslogtreecommitdiff
path: root/scripts/scan-pkgs.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-05-02 18:55:24 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2011-05-02 18:55:24 +0200
commit3acc20917b0148e90392d670c84dc86de1c2b15a (patch)
tree494e92c9944847efe568ce9e5fb5b5099b050084 /scripts/scan-pkgs.sh
parent797035280bf0aab082776d3ad28fac11206fd902 (diff)
openjdk needs ant for now
Diffstat (limited to 'scripts/scan-pkgs.sh')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 2faa334b6..b267b61e6 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -79,6 +79,10 @@ if [[ -n $ADK_COMPILE_KRB5 ]]; then
NEED_BISON="$NEED_BISON krb5"
fi
+if [[ -n $ADK_COMPILE_OPENJDK ]]; then
+ NEED_ANT="$NEED_ANT openjdk"
+fi
+
if [[ -n $ADK_PACKAGE_LIBXCB ]]; then
NEED_XSLTPROC="$NEED_XSLTPROC libxcb"
fi
@@ -333,6 +337,13 @@ if [[ -n $NEED_FLEX ]]; then
fi
fi
+if [[ -n $NEED_ANT ]]; then
+ if ! which ant >/dev/null 2>&1; then
+ echo >&2 You need ant to build $NEED_OPENJDK
+ out=1
+ fi
+fi
+
if [[ -n $NEED_YASM ]]; then
if ! which yasm >/dev/null 2>&1; then
echo >&2 You need yasm to build $NEED_YASM